Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | List of all members
peripheral::SensorHub Interface Reference

Sensor Hub interface. More...

`import <SensorHub.idl;`

## Classes
struct | DeviceInfo
| Static (type, version) information for a SensorHub. More...
struct | HubPortInfo
| Information for a single hub Port. More...

## Public Types
enum | UpstreamType { BUILTIN , ENV_HUB , REMOTE_HUB }
| peripheral device hw configuration More...

## Public Member Functions
DeviceInfo | getDeviceInfo ()
| Get static (hardware and firmware) information.
PackageInfo | getPackageInfo ()
| Retrieve hub package information.

## Detailed Description

Sensor Hub interface.

Definition at line 20 of file SensorHub.idl.

## Member Enumeration Documentation

## ◆ UpstreamType

enum peripheral::SensorHub::UpstreamType

peripheral device hw configuration

Enumerator
BUILTIN | a built in hardware
ENV_HUB | a not galvanically isolated environmental hub with reduced fuse capability
REMOTE_HUB | a galvanically isolated remote hub with full fuse capability

Definition at line 23 of file SensorHub.idl.

## Member Function Documentation

## ◆ getDeviceInfo()

DeviceInfo peripheral::SensorHub::getDeviceInfo | ( |  | ) |

Get static (hardware and firmware) information.

Returns
  Result: hardware and firmware information

## ◆ getPackageInfo()

PackageInfo peripheral::SensorHub::getPackageInfo | ( |  | ) |

Retrieve hub package information.

Returns
  package information

The documentation for this interface was generated from the following file:

- SensorHub.idl